std::out_ptr_t< _Smart, _Pointer, _Args >(3cxx)

NAME
std::out_ptr_t< _Smart, _Pointer, _Args > - Smart pointer adaptor for functions taking an output pointer parameter.

SYNOPSIS

#include <>>

  Public Member Functions

out_ptr_t (_Smart &__smart, _Args... __args)
out_ptr_t (const out_ptr_t &)=delete
operator _Pointer * () const noexcept
operator void ** () const noexcept

  Friends

template<typename, typename, typename...> class inout_ptr_t

Detailed Description

  template<typename _Smart, typename _Pointer, typename... _Args>
class std::out_ptr_t< _Smart, _Pointer, _Args >"Smart pointer adaptor for functions taking an output pointer parameter.

Template Parameters
    _Smart The type of pointer to adapt.
    _Pointer The type of pointer to convert to.
    _Args... Argument types used when resetting the smart pointer.

Since
    C++23

Author

Generated automatically by Doxygen for libstdc++ from the source code.